##
##  ksh.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

%define       V_pkg   20021221
%define       V_ksh   2002-12-21
%define       V_init  2002-12-21

#   package information
Name:         ksh
Summary:      The Original AT&T Korn Shell
URL:          http://www.kornshell.com/
Vendor:       David G. Korn, AT&T Bell Labs
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Shell
License:      AT&T
Version:      %{V_pkg}
Release:      20021224

#   list of sources
Source0:      http://www.research.att.com/~gsf/download/tgz/ast-ksh.%{V_ksh}.tgz
Source1:      http://www.research.att.com/~gsf/download/tgz/INIT.%{V_init}.tgz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020416
PreReq:       OpenPKG, openpkg >= 20020416
AutoReq:      no
AutoReqProv:  no

%description
    The KornShell language was designed and developed by David G. Korn
    at AT&T Bell Laboratories. It is an interactive command language
    that provides access to the UNIX system and to many other systems,
    on the many different computers and workstations on which it is
    implemented. This is Ksh93 which is intended to conform to the Shell
    Language Standard developed by the IEEE POSIX 1003.2 Shell and
    Utilities Language Committee.

%prep
    %setup0 -q -c -n ksh-%{version}
    %setup1 -q -T -D -a 1

%build
    ./bin/package read || true
    ./bin/package make CC="%{l_cc}"

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        arch/*/bin/ksh $RPM_BUILD_ROOT%{l_prefix}/bin/ksh
    %{l_shtool} install -c -m 644 \
        arch/*/man/man1/sh.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/ksh.1
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

%post
    if [ ".$1" = .1 ]; then
        if [ -f /etc/shells ]; then
            if [ ".`grep $RPM_INSTALL_PREFIX/bin/ksh /etc/shells`" = . ]; then
                ( echo "Hint: To use $RPM_INSTALL_PREFIX/bin/ksh as the login"
                  echo "shell for users, please add this path to /etc/shells."
                ) | %{l_rpmtool} msg -b -t notice
            fi
        fi
    fi

